Foreman - Bug #37071

FetchPxeFiles fails when syncing Fedora ELN

01/19/2024 04:35 PM - lan Ballou

Status: New

Priority: Normal
Assignee:
Category:
Target version:
Difficulty:
Triaged: No
Bugzilla link:

Pull request:

Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

Repo: https://odcs.fedoraproject.org/composes/production/latest-Fedora-ELN/compose/BaseOS/x86_64/0s/

Error:
ActiveRecord: :RecordInvalid

Validation failed: Major version is not a

- "/home/vagrant/foreman/.vendor/ruby/2.7.
s.rb:80:in

‘raise_validation_error'"
- "/home/vagrant/foreman/.vendor/ruby/2.7.
s.rb:53:in

‘save!'""
- "/home/vagrant/foreman/.vendor/ruby/2.7.
ns.rb:302:1in

"block in save!'"
- "/home/vagrant/foreman/.vendor/ruby/2.7.
ns.rb:354:in

number

0/gems/activerecord-6.1.

0/gems/activerecord-6.1.

0/gems/activerecord-6.1.

0/gems/activerecord-6.1.

"block in with_transaction_returning_status'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.

_adapters/abstract/database_statements.rb:
"block in transaction'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.

_adapters/abstract/transaction.rb:319:1in
"block in within_ new_transaction'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.

ncy/load_interlock_aware_monitor.rb:26:in
‘block (2 levels)

- "/home/vagrant/foreman/.vendor/ruby/2.7.

in synchronize'"

ncy/load_interlock_aware_monitor.rb:25:in
"handle_interrupt'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.

ncy/load_interlock_aware_monitor.rb:25:in
"block in synchronize'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.

ncy/load_interlock_aware_monitor.rb:21:in
‘handle_interrupt'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.

ncy/load_interlock_aware_monitor.rb:21:in
“synchronize'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.

_adapters/abstract/transaction.rb:317:1in
‘within_new_transaction'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.
0/gems/activerecord-6.1.

320:in

0/gems/activerecord-6.1.

0/gems/activesupport-6.

0/gems/activesupport-6.

0/gems/activesupport-6.

0/gems/activesupport-6.

0/gems/activesupport—6.

.6/1lib/active_record/validation

.6/1lib/active_record/validation

.6/1lib/active_record/transactio

.6/1lib/active_record/transactio

.6/1lib/active_record/connection

.6/1lib/active_record/connection

.7.6/1ib/active_support/concurre

.7.6/1ib/active_support/concurre

.7.6/1lib/active_support/concurre

.7.6/1lib/active_support/concurre

.7.6/1lib/active_support/concurre

0/gems/activerecord-6.1.7.6/1lib/active_record/connection

0/gems/activerecord-6.1.7.6/1lib/active_record/connection
https://odcs.fedoraproject.org/composes/production/latest-Fedora-ELN/compose/BaseOS/x86_64/os/

_adapters/abstract/database_statements.rb:320:1in

‘transaction'"

— "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activerecord-6.1.7.6/1ib/active_record/transactio

ns.rb:350:1in
‘with_transaction_returning_status'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activerecord-6.1.7.6/1lib/active_record/transactio

ns.rb:302:in
‘save!'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activerecord-6.1.7.6/1lib/active_record/suppressor

.rb:48:1in
“save!'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activerecord-6.1.7.6/1lib/active_record/persistenc

e.rb:55:in
‘create!'"

- "/home/vagrant/katello/app/models/katello/concerns/redhat_extensions.rb:20:in “block

in find_or_create_operating_system'"

- "/home/vagrant/katello/app/models/katello/concerns/redhat_extensions.rb:26:in " rescue

in find_or_create_operating_system'"

- "/home/vagrant/katello/app/models/katello/concerns/redhat_extensions.rb:23:in " find_or_create_op

erating_system'"

- "/home/vagrant/katello/app/services/katello/pxe_files_downloader.rb:11:in “download_files'"

- "/home/vagrant/katello/app/lib/actions/katello/repository/fetch_pxe_files.rb:21:in

“run'"

"/home/vagrant/foreman/.vendor/ruby/2.
"block (3 levels) in execute_run'"
- "/home/vagrant/foreman/.vendor/ruby/2.
in
‘pass'"
- "/home/vagrant/foreman/.vendor/ruby/2.
‘pass'"
- "/home/vagrant/foreman/.vendor/ruby/2.
ils_executor_wrap.rb:14:in
"block in run'"
- "/home/vagrant/foreman/.vendor/ruby/2.
n_wrapper.rb:91:in
‘wrap'"
- "/home/vagrant/foreman/.vendor/ruby/2.
ils_executor_wrap.rb:13:in
‘run'"
- "/home/vagrant/foreman/.vendor/ruby/2.
in
‘call'"
- "/home/vagrant/foreman/.vendor/ruby/2.
in
‘pass'"
- "/home/vagrant/foreman/.vendor/ruby/2.
‘pass'"
- "/home/vagrant/foreman/.vendor/ruby/2.

‘with_progress_calculation'"

7

.0/gems/dynflow-1.8.2/1ib/dynflow/action.rb:589:in

.0/gems/dynflow-1.8.2/1lib/dynflow/middleware/stack.rb:27:

.0/gems/dynflow-1.8.2/1lib/dynflow/middleware.rb:19:in

.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ra

.0/gems/activesupport-6.1.7.6/1lib/active_support/executio

.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ra

.0/gems/dynflow-1.8.2/1lib/dynflow/middleware/stack.rb:23:

.0/gems/dynflow-1.8.2/1lib/dynflow/middleware/stack.rb:27:

.0/gems/dynflow-1.8.2/1lib/dynflow/middleware.rb:19:in

.0/gems/dynflow-1.8.2/1lib/dynflow/action/progress.rb:31:1

.0/gems/dynflow-1.8.2/1ib/dynflow/action/progress.rb:17:1

.0/gems/dynflow-1.8.2/1ib/dynflow/middleware/stack.rb:23:

.0/gems/dynflow-1.8.2/1lib/dynflow/middleware/stack.rb:27:

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/1ib/dynflow/middleware.rb:19:in

- "/home/vagrant/katello/app/lib/actions/middleware/keep_locale.rb:11:in “block in

- "/home/vagrant/katello/app/lib/actions/middleware/keep_locale.rb:22:in “with_locale'"

- "/home/vagrant/katello/app/lib/actions/middleware/keep_locale.rb:11:in “run'"
- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/1ib/dynflow/middleware/stack.rb:23:

- "/home/vagrant/foreman/.vendor/ruby/2.
n

~ run' n
- "/home/vagrant/foreman/.vendor/ruby/2.
in

‘call'"
- "/home/vagrant/foreman/.vendor/ruby/2.
in

\paSS'"

‘pass"’

run'"
in
‘call'"

- "/home/vagrant/foreman/.vendor/ruby/2.

in
‘pass'"

- "/home/vagrant/foreman/.vendor/ruby/2.

‘pass'"

- "/home/vagrant/foreman/.vendor/ruby/2.

ad_setting_values.rb:20:in
N run' n

- "/home/vagrant/foreman/.vendor/ruby/2.

in
‘call'"

- "/home/vagrant/foreman/.vendor/ruby/2.

in
\pass'"

- "/home/vagrant/foreman/.vendor/ruby/2.

\pass'"

- "/home/vagrant/foreman/.vendor/ruby/2.

ep_current_request_id.rb:15:in
"block in run'"

- "/home/vagrant/foreman/.vendor/ruby/2.

ep_current_request_id.rb:52:in
‘restore_current_request_id"'"

- "/home/vagrant/foreman/.vendor/ruby/2.

ep_current_request_id.rb:15:in
N run' n

- "/home/vagrant/foreman/.vendor/ruby/2.

in
‘call'"

- "/home/vagrant/foreman/.vendor/ruby/2.

in
‘pass'"

- "/home/vagrant/foreman/.vendor/ruby/2.

\paSS'"

- "/home/vagrant/foreman/.vendor/ruby/2.

ep_current_timezone.rb:15:in
‘block in run'"

- "/home/vagrant/foreman/.vendor/ruby/2.

ep_current_timezone.rb:44:in
‘restore_curent_timezone'"

- "/home/vagrant/foreman/.vendor/ruby/2.

ep_current_timezone.rb:15:in
N runl n

- "/home/vagrant/foreman/.vendor/ruby/2.

in
‘call'"

- "/home/vagrant/foreman/.vendor/ruby/2.

in
‘passlﬂ

- "/home/vagrant/foreman/.vendor/ruby/2.

\paSS'"

- "/home/vagrant/foreman/.vendor/ruby/2.

ep_current_taxonomies.rb:15:in
‘block in run'"

- "/home/vagrant/foreman/.vendor/ruby/2.

ep_current_taxonomies.rb:45:in
‘restore_current_taxonomies'"

- "/home/vagrant/foreman/.vendor/ruby/2.

ep_current_taxonomies.rb:15:in
N runl n

- "/home/vagrant/foreman/.vendor/ruby/2.

in
‘call'"

- "/home/vagrant/foreman/.vendor/ruby/2.

in
‘paSS'"

- "/home/vagrant/foreman/.vendor/ruby/2.
.0/gems/dynflow-1.8.2/1lib/dynflow/middleware/stack.rb:27:

.0/gems/dynflow-1.8.2/1lib/dynflow/middleware.rb:19:in

.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/lo

.0/gems/dynflow-1.8.2/1lib/dynflow/middleware/stack.rb:23:

.0/gems/dynflow-1.8.2/1ib/dynflow/middleware/stack.rb:27:

.0/gems/dynflow-1.8.2/1lib/dynflow/middleware.rb:19:in

.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ke

.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ke

.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ke

.0/gems/dynflow-1.8.2/1lib/dynflow/middleware/stack.rb:23:

.0/gems/dynflow-1.8.2/1ib/dynflow/middleware/stack.rb:27:

.0/gems/dynflow-1.8.2/1lib/dynflow/middleware.rb:19:in

.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ke

.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ke

.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ke

.0/gems/dynflow-1.8.2/1lib/dynflow/middleware/stack.rb:23:

.0/gems/dynflow-1.8.2/1lib/dynflow/middleware/stack.rb:27:

.0/gems/dynflow-1.8.2/1lib/dynflow/middleware.rb:19:in

.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ke

.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ke

.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ke

.0/gems/dynflow-1.8.2/1lib/dynflow/middleware/stack.rb:23:

.0/gems/dynflow-1.8.2/1lib/dynflow/middleware/stack.rb:27:

.0/gems/dynflow-1.8.2/1lib/dynflow/middleware.rb:19:in
‘pass'"
- "/home/vagrant/foreman/
“run'"
- "/home/vagrant/foreman/
in
‘call'"
- "/home/vagrant/foreman/
in
‘pass'"
- "/home/vagrant/foreman/
‘pass'"
- "/home/vagrant/foreman/
ep_current_user.rb:15:in
"block in run'"
- "/home/vagrant/foreman/
ep_current_user.rb:54:in
‘restore_curent_user'"
- "/home/vagrant/foreman/
ep_current_user.rb:15:in
‘run'"
- "/home/vagrant/foreman/
in
‘call'"™
- "/home/vagrant/foreman/
in
‘execute'"
- "/home/vagrant/foreman/.
‘block (2 levels)
- "/home/vagrant/foreman/.
‘catch'"
- "/home/vagrant/foreman/.
"block in execute_run'"
- "/home/vagrant/foreman/.

.vendor/ruby/2.

.vendor/ruby/2.

.vendor/ruby/2.

.vendor/ruby/2.

.vendor/ruby/2.

.vendor/ruby/2.

.vendor/ruby/2.

.vendor/ruby/2.

.vendor/ruby/2.

vendor/ruby/2.
in execute_run'"

vendor/ruby/2.
vendor/ruby/2.

vendor/ruby/2.

"block in with_error_handling'"

- "/home/vagrant/foreman/.
‘catch'"

- "/home/vagrant/foreman/.
‘with_error_handling'"

- "/home/vagrant/foreman/.
‘execute_run'"

- "/home/vagrant/foreman/.
‘execute'"

- "/home/vagrant/foreman/.

stract_flow_step.rb:18:in
‘block (2 levels)

- "/home/vagrant/foreman/.

stract.rb:167:in

‘with_meta_calculation'"

- "/home/vagrant/foreman/.
stract_flow_step.rb:17:in
"block in execute'"
- "/home/vagrant/foreman/
stract_flow_step.rb:32:in
‘open_action'"
- "/home/vagrant/foreman/
stract_flow_step.rb:16:1in
‘execute'"
- "/home/vagrant/foreman/
‘execute'"
- "/home/vagrant/foreman/
er.rb:15:in
"block in on_message'"
- "/home/vagrant/foreman/
‘run_user_code'"
- "/home/vagrant/foreman/
er.rb:14:in
‘on_message'"
vendor/ruby/2.

vendor/ruby/2.

vendor/ruby/2.

vendor/ruby/2.

vendor/ruby/2.

in execute'"

vendor/ruby/2.

vendor/ruby/2.

.vendor/ruby/2.

.vendor/ruby/2.

.vendor/ruby/2.

.vendor/ruby/2.

.vendor/ruby/2.

.vendor/ruby/2.

.0/gems/dynflow-1.8.

.0/gems/dynflow-1.

.0/gems/dynflow-1.
.0/gems/dynflow-1.
.0/gems/dynflow-1.
.0/gems/dynflow-1.
.0/gems/dynflow-1.
.0/gems/dynflow-1.
.0/gems/dynflow-1.
.0/gems/dynflow-1.

.0/gems/dynflow-1.

.0/gems/dynflow-1.

.0/gems/dynflow-1.

.0/gems/dynflow-1.

.0/gems/dynflow-1.

.0/gems/dynflow-1.

.0/gems/dynflow-1.

.0/gems/dynflow-1.

.0/gems/dynflow-1.

.2/lib/dynflow/action.
.2/1lib/dynflow/action.rb:
.2/1ib/dynflow/action.rb:
.2/1lib/dynflow/action.rb:
.2/lib/dynflow/action.rb:
.2/1lib/dynflow/action.rb:
.2/1ib/dynflow/action.rb:

.2/1lib/dynflow/action.rb:

.0/gems/dynflow-1.8.2/1lib/dynflow/middleware.rb:32:in

.0/gems/dynflow-1.8.2/1lib/dynflow/middleware/stack.rb:23:

.0/gems/dynflow-1.8.2/1lib/dynflow/middleware/stack.rb:27:

.0/gems/dynflow-1.8.2/1lib/dynflow/middleware.rb:19:in

.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ke

.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ke

.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ke

2/1lib/dynflow/middleware/stack.rb:23:

.2/1ib/dynflow/middleware/world.rb:31:

rb:588:1in

587:in

587:in

490:1in

490:1in

490:1in

582:in

303:in

.2/lib/dynflow/execution_plan/steps/ab

.2/1ib/dynflow/execution_plan/steps/ab

.2/1lib/dynflow/execution_plan/steps/ab

.2/1lib/dynflow/execution_plan/steps/ab

.2/1lib/dynflow/execution_plan/steps/ab

.2/1lib/dynflow/director.rb:69:1in

.2/1lib/dynflow/executors/parallel/work

.2/1lib/dynflow/executors.rb:18:in

.2/1lib/dynflow/executors/parallel/work
- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/1ib/concurrent-ruby-ed

ge/concurrent/actor/context.rb:46:1in
“on_envelope'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/1ib/concurrent-ruby-ed
ge/concurrent/actor/behaviour/executes_context.rb:7:1in

‘on_envelope'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.
ge/concurrent/actor/behaviour/abstract.rb:

\pass'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.

“on_envelope'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.
ge/concurrent/actor/behaviour/abstract.rb:

‘pass'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.

0/gems/concurrent-ruby—-edge-0.6.0/1ib/concurrent-ruby-ed
25:1in

0/gems/dynflow-1.8.2/1ib/dynflow/actor.rb:122:1in

0/gems/concurrent-ruby—-edge—-0.6.0/1ib/concurrent-ruby-ed
25:in

0/gems/concurrent-ruby—-edge-0.6.0/1ib/concurrent-ruby-ed

ge/concurrent/actor/behaviour/awaits.rb:15:1in

“on_envelope'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/1ib/concurrent—-ruby-ed
ge/concurrent/actor/behaviour/abstract.rb:25:in

‘pass'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/1ib/concurrent—-ruby-ed

ge/concurrent/actor/behaviour/sets_results.rb:14:1in

‘on_envelope'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/1ib/dynflow/actor.rb:56:in

“on_envelope'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/1ib/concurrent—-ruby-ed
ge/concurrent/actor/behaviour/abstract.rb:25:in

‘pass'"

- "/home/vagrant/foreman/.vendor/ruby/2.

ge/concurrent/actor/behaviour/buffer.rb:
‘process_envelope'"

- "/home/vagrant/foreman/.vendor/ruby/2.

ge/concurrent/actor/behaviour/buffer.rb:
‘process_envelopes?'"

- "/home/vagrant/foreman/.vendor/ruby/2.

ge/concurrent/actor/behaviour/buffer.rb:
‘on_envelope'"

- "/home/vagrant/foreman/.vendor/ruby/2.

ge/concurrent/actor/behaviour/abstract.rb:

‘pass'"
- "/home/vagrant/foreman/.vendor/ruby/2.

ge/concurrent/actor/behaviour/termination.

“on_envelope'"
- "/home/vagrant/foreman/.vendor/ruby/2.

ge/concurrent/actor/behaviour/abstract.rb:

‘pass'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.

7 o

0/gems/concurrent-ruby—-edge-0.6.0/1ib/concurrent-ruby-ed

38:in

7o

0/gems/concurrent-ruby-edge-0.6.0/1ib/concurrent-ruby-ed

31:in

7o

0/gems/concurrent-ruby-edge-0.6.0/1ib/concurrent-ruby-ed

20:in

7

7

7

.0/gems/concurrent-ruby-edge-0.6.0/1ib/concurrent-ruby-ed

25:in

.0/gems/concurrent-ruby-edge-0.6.0/1ib/concurrent-ruby-ed

rb:55:1in

.0/gems/concurrent-ruby-edge-0.6.0/1ib/concurrent-ruby-ed

25:in

0/gems/concurrent-ruby—-edge-0.6.0/1ib/concurrent-ruby-ed

ge/concurrent/actor/behaviour/removes_child.rb:10:1in

“on_envelope'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/1ib/concurrent—-ruby-ed
ge/concurrent/actor/behaviour/abstract.rb:25:in

‘pass'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/1ib/concurrent-ruby-ed

ge/concurrent/actor/behaviour/sets_results.rb:14:1in

‘on_envelope'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/1ib/concurrent—-ruby-ed

ge/concurrent/actor/core.rb:162:1in
‘process_envelope'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent—-ruby—-edge—-0.6.0/1ib/concurrent-ruby-ed

ge/concurrent/actor/core.rb:96:in
"block in on_envelope'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/1ib/concurrent-ruby-ed

ge/concurrent/actor/core.rb:119:1in

"block (2 levels) in schedule_execution'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-1.1.10/1ib/concurrent-ruby/concur
rent/synchronization/mutex_lockable_object.rb:47:1in

"block in synchronize'"
- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-1.1.10/1ib/concurrent-ruby/concur

rent/synchronization/mutex_lockable_object.rb:47:1in
“synchronize'"

— "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby—-1.1.10/1ib/concurrent—-ruby/concur

rent/synchronization/mutex_lockable_object.rb:47:1in

“synchronize'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/1ib/concurrent—-ruby-ed

ge/concurrent/actor/core.rb:116:1in
"block in schedule_execution'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-1.1.10/1ib/concurrent-ruby/concur

rent/executor/serialized_execution.rb:18:in
‘call'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent—-ruby-1.

rent /executor/serialized_execution.rb:96:1in
‘work'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent—-ruby-1.

rent /executor/serialized_execution.rb:77:1in
"block in call_job'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-1.

rent/executor/ruby_thread_pool_executor.rb:352:in
‘run_task'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent—ruby-1.

rent/executor/ruby_thread_pool_executor.rb:343:in
"block (3 levels) in create_worker'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent—-ruby-1.

rent/executor/ruby_thread_pool_executor.rb:334:in
N loop' A\l

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent—ruby-1.

rent/executor/ruby_thread_pool_executor.rb:334:in
“block (2 levels) in create_worker'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent—-ruby-1.

rent/executor/ruby_thread_pool_executor.rb:333:in
‘catch'"

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent—-ruby-1.

rent/executor/ruby_thread_pool_executor.rb:333:in
“block in create_worker'"

.10/1ib/concurrent-ruby/concur

.10/1ib/concurrent—-ruby/concur

.10/1ib/concurrent-ruby/concur

.10/1ib/concurrent-ruby/concur

.10/1ib/concurrent-ruby/concur

.10/1ib/concurrent-ruby/concur

.10/1ib/concurrent—-ruby/concur

.10/1ib/concurrent-ruby/concur

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/logging-2.3.1/1ib/logging/diagnostic_context.rb:4

74:in
"block in create_with_logging_context'"

History

#1 - 01/21/2024 11:23 AM - Lukas Zapletal

| think what is also missing is OperatingSystem entry, it was not created. This is caused because version major/minor fields in DB must be numbers,

but for Fedora ELN it is likely a string or something.

#2 - 01/21/2024 11:24 AM - Lukas Zapletal

When testing this, maybe also test Fedora Rawhide this could be also helpful. But | think in that case version is set to N+1 so it will work.

#3 - 01/24/2024 06:56 PM - Partha Aji

- Triaged changed from No to Yes

#4 - 03/19/2024 03:39 PM - lan Ballou

@Leos Stejskal or @Nofar Alfassi , Foreman operating systems force a numerical value

https://github.com/theforeman/foreman/blob/6¢77d09b44456bc1770f0264f41c1238557c64fa/app/models/operatingsystem.rb#L.25C21-L25C39

Would it be reasonable to start allowing strings? It seems Fedora ELN doesn't have an actual number for its version.

The other option | see would be to spoof a number, but that seems hacky.

#5 - 03/19/2024 03:39 PM - lan Ballou

- Status changed from New to Need more information

#6 - 03/27/2024 01:33 PM - Quinn James
- Target version deleted (Katello 4.12.0)
https://projects.theforeman.org/users/23176
https://projects.theforeman.org/users/63965
https://github.com/theforeman/foreman/blob/6c77d09b44456bc1770f0264f41c1238557c64fa/app/models/operatingsystem.rb#L25C21-L25C39

- Triaged changed from Yes to No

Removing target version for 4.12 RC/GA re-triage

#7 - 03/28/2024 10:11 AM - Ewoud Kohl van Wijngaarden

Fedora ELN doesn't have a version at all, like Arch Linux and Gentoo because they're rolling. Perhaps Foreman should make the operating system's
version field optional. It will be a major change because a lot of code has been built with the assumption, but one with multiple real world examples.

The alternative is to make ELN (or Rawhide) the version, but changing numeric to a pure string will also mean checking all the same code paths. It's
still a good thing, because you can encode Ubuntu's 24.04 as the major version that it is instead of splitting it up to 22 and 4 while discarding the true
minor version.

#8 - 04/03/2024 05:40 PM - Samir Jha
- Project changed from Katello to Foreman
- Category deleted (Repositories)

- Status changed from Need more information to New

Moving to foreman project since the changes requested here will need to be made in foreman.
